export interface MongoConfig {
    enabled: boolean;
    uri: string;
    dbName: string;
    collection: string;
}
export interface S3Config {
    region: string;
    bucket: string;
    folder: string;
    accessKeyId?: string;
    secretAccessKey?: string;
}
export declare class ConfigManager {
    private static instance;
    private remoteToken;
    private constructor();
    static getInstance(): ConfigManager;
    setRemoteToken(token: string): void;
    getMongoConfig(): MongoConfig;
    getS3Config(): S3Config;
    getAdminConfig(): {
        email: string;
        password: string;
        organizationId: string;
        organizationName: string;
    };
    getDefaultOrgId(): string;
    getOrganizationId(): string;
    getDefaultOrgName(): string;
    getJwtSecret(): string;
    getPort(): number;
    getRemoteConfig(): {
        apiUrl: string;
        token: string;
        mode: "api" | "db";
    };
    getLogBaseDir(): string;
    getResultsBaseDir(): string;
}
